package javax.sql.rowset.spi;

import java.sql.Savepoint;
import java.sql.SQLException;
import javax.sql.RowSetWriter;

public interface TransactionalWriter extends RowSetWriter
{
    public abstract void commit() throws SQLException;
    
    public abstract void rollback() throws SQLException;
    
    public abstract void rollback(Savepoint p0) throws SQLException;
}
